import React from "react";
import "dayjs/locale/zh-cn";
import locale from "antd/es/locale/zh_CN";
import { ConfigProvider, App as Antd } from "antd";

import Router from "./routes/Router";
import { useModel } from "./store";

function App() {
  const { antThemeData } = useModel("system");
  const theme = React.useMemo(() => ({ token: antThemeData }), [antThemeData]);

  return (
    <ConfigProvider locale={locale} theme={theme}>
      <Antd>
        <Router />
      </Antd>
    </ConfigProvider>
  );
}

export default App;
