import React from 'react';
import { Button, Tabs, Form, Row, Col, InputNumber, message } from 'antd';
import useBool from '@/utils/hooks/useBool';
import { ModalForm, ProFormDigit, ProFormDependency } from '@ant-design/pro-components';
import { getTaCheckItemQu } from '@/service/tacheckitemqu';
import { getTaCheckItem, postTaCheckItem } from '@/service/tacheckitem';

const LocForm = (props) => {
  const { checkItem, open, onOpenChange, onChange, itemId, checkId } = props;

  // const [loading, startLoading, stopLoading] = useBool();
  // const [list, setList] = React.useState();
  // const [listData, setListData] = React.useState();

  const [form] = Form.useForm();

  const onFinish = async (values) => {
    const data = { ...(checkItem || {}), ...values, itemType: 'loc' }
    const res = await postTaCheckItem(data);
    onChange(res);
    return true;
  }

  const reset = () => {
    form.resetFields();
    form.setFieldsValue({ num: 1 });
  }

  React.useEffect(() => {
    if (checkItem) {
      form.setFieldsValue(checkItem);
    } else {
      reset();
    }
  }, [checkItem]);

  // React.useEffect(() => {
  //   if (itemId) {
  //     startLoading();
  //     getTaCheckItemQu({ pageSize: 500, itemId }).then((res) => {
  //       stopLoading();
  //       setList(...res.records);
  //     }).catch(() => {
  //       stopLoading();
  //     });
  //   }
  // }, [itemId]);

  return (
    <ModalForm
      title={`${checkItem?.name} 维护`}
      width={600}
      open={open}
      form={form}
      onFinish={onFinish}
      onOpenChange={onOpenChange}
    >
      <ProFormDigit readonly label="分值" name="fullScore" value={checkItem?.fullScore || 0} />
      <ProFormDigit label="数量" name="num" min={1} fieldProps={{ precision: 0 }} />
      <ProFormDependency name={['fullScore', 'num']}>
        {
          ({ fullScore, num }) => <ProFormDigit readonly label="小计" value={fullScore * num} fieldProps={{ precision: 2 }} />
        }
      </ProFormDependency>
    </ModalForm>
  )
}

export default LocForm;
