import React, { useState } from 'react';
import { Radio, DatePicker, Button } from 'antd';
import dayjs from 'dayjs';
// import * as isLeapYear from 'dayjs/plugin/isLeapYear' // 导入插件
// import 'dayjs/locale/zh-cn' // 导入本地化语言

export default (props) => {

  const { onChange } = props;

  const { RangePicker } = DatePicker;
  const [pickerValue, setPickerValue] = useState([]);
  const [dtType, setDtType] = useState('2');
  const dtTypeRef = React.useRef(dtType);

  const onRadioChange = e => {
    //本周 本月 本年的value 1 2 3
    const value = e.target.value;
    setDtType(value);
    //获取最新的dtType
    dtTypeRef.current = value;
    // console.log('dtTypeRef.current', dtTypeRef.current)
  }

  //将日期数组的值set给pickerValue
  const onPickerChange = e => {
    setPickerValue(e);
  }

  //按钮点击判断 本周 本月 本年的值set给pickerValue
  React.useEffect(() => {
    if (dtType == 1) {
      setPickerValue(
        [
          dayjs().startOf('week').add(1, 'day'),
          dayjs().endOf('week').add(1, 'day')
        ]
      );
    } else if (dtType == 2) {
      setPickerValue([
        dayjs().startOf('month'),
        dayjs().endOf('month')
      ])
    } else if (dtType == 3) {
      setPickerValue([
        dayjs().startOf('year'),
        dayjs().endOf('year')
      ])
    }
  }, [dtType]);

  React.useEffect(() => {
    if (pickerValue && pickerValue.length > 1 && onChange) {
      onChange(pickerValue, dtTypeRef.current);
    }
  }, [pickerValue]);

  return (
    <div>
      <Radio.Group value={dtType} onChange={onRadioChange} style={{ marginRight: '20px' }}>
        <Radio.Button value="1" type="text">本周</Radio.Button>
        <Radio.Button value="2" type="text">本月</Radio.Button>
        <Radio.Button value="3" type="text">本年</Radio.Button>
      </Radio.Group>
      <RangePicker
        value={pickerValue}
        onChange={onPickerChange}
      />
    </div>
  )
}