import React from 'react';
import { Card, Space } from 'antd';
import useBool from '@/utils/hooks/useBool';
import AttachList from './AttachList';
import { getTaOrgIssueById } from '@/service/taissue';

export default (props) => {
  const { issueId } = props;

  const [loading, startLoading, stopLoading] = useBool();
  const [detail, setDetail] = React.useState();

  React.useEffect(() => {
    if (issueId) {
      startLoading();
      getTaOrgIssueById(issueId).then((res) => {
        stopLoading();
        setDetail(res);
      }).catch(() => {
        stopLoading();
      });
    }
  }, [issueId]);

  return (
    <Card title="处理结果" loading={loading}>
      <Space direction="vertical"  size="middle" style={{ width: '100%' }}>
        <div dangerouslySetInnerHTML={{__html: detail?.result}}></div>
        <AttachList attachList={detail?.attachList} />
      </Space>
    </Card>
  )
}
