import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheckItem = (params) => request('/api/taCheckItem', { params });

/*
 * 新增数据
 */
export const postTaCheckItem = (data) => request('/api/taCheckItem', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckItemById = (id) => request(`/api/taCheckItem/${id}`);

/*
 * 更新数据
 */
export const putTaCheckItem = (id, data) => request(`/api/taCheckItem/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheckItem = (id) => request(`/api/taCheckItem/${id}`, { method: 'delete' });


/**
 * 通过测评ID,点位ID查询详情
 * @param {*} checkId 
 * @param {*} typeId 
 * @returns 
 */
export const getByCheckId = (checkId, typeId) => request(`/api/taCheck/${checkId}/item/${typeId}`)


export const exportTaCheckItem = (checkId) => request(`/api/taCheck/${checkId}/loc/export`, { method: 'post', download: true });


/**
 * 同步点位
 */


export const  putSync=(checkId)=>request(`/api/taCheck/${checkId}/sync`,{ method: 'put'})